View Issue Details

IDProjectCategoryView StatusLast Update
0002671FreeCADBugpublic2017-07-23 20:56
ReporterSyranolicAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSOS VersionWindows 7 x64
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002671: Operation properties without units in spreadsheet
DescriptionThe "value" of the "offset" operation and the "base" vector of the "mirror" operation have no unit and can't accept spreadsheets values with a unit. There may be more operations affected, I only use a few.
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Tagsspreadsheet, units

Activities

Syranolic

2016-08-14 15:07

reporter   ~0007269

http://forum.freecadweb.org/viewtopic.php?f=3&t=16976

Kunda1

2017-03-09 13:09

manager   ~0008589

@eivindkvedalen can this ticket be assigned to you ?

mjscosta

2017-07-18 15:24

reporter   ~0009772

Last edited: 2017-07-19 08:42

View 2 revisions

Hi, not sure, but I think I found this same/simillar problem.

1- I've created a spreadsheet, added some value with alias (val1_mm). The value has no unit, but the display unit is mm.

2- Added a Contraints.contraint1 (in mm).

3- Added a second constraint using the expression "Contraints.contraint1 + Spreadsheet.var1_mm", got the error "Incompatible unit for + operator".

4- Added units to the value, in the spreadsheet and the no error.

5- If using operator "*", the inverse happens. No error when there is no unit, and there is an error "Incompatible unit for * operator" when there is a unit in the spreadsheet value.

Please check thread, for additional data:
https://forum.freecadweb.org/viewtopic.php?f=3&t=16976&p=183033#p183033

OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11580 (Git)
Build type: None
Branch: master
Hash: aa07c777453258edf9fed304cf82bcfeb8bdea95
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Kunda1

2017-07-18 15:26

manager   ~0009773

@mjscosta thank you. Do you mind also posting this to the forum thread mentioned in ~7269 ?

mjscosta

2017-07-19 08:42

reporter   ~0009780

Last edited: 2017-07-19 10:52

View 2 revisions

@Kunda1, done.
[i]Admin Edit: specifically https://forum.freecadweb.org/viewtopic.php?f=3&t=16976&start=10#p183033[/i]

Kunda1

2017-07-23 16:00

manager   ~0009797

@eivindkvedalen submitted p:FreeCAD:894: as a fix.

Kunda1

2017-07-23 20:54

manager   ~0009800

Last edited: 2017-07-23 20:56

View 2 revisions

Merged in c:FreeCAD:55e0e6c00dfbc3569a80c602a96906a0c2c50cd4:

Issue History

Date Modified Username Field Change
2016-08-14 15:05 Syranolic New Issue
2016-08-14 15:07 Syranolic Note Added: 0007269
2017-01-19 14:28 Kunda1 Tag Attached: spreadsheet
2017-01-19 14:28 Kunda1 Tag Attached: units
2017-03-09 13:08 Kunda1 Assigned To => Kunda1
2017-03-09 13:08 Kunda1 Status new => assigned
2017-03-09 13:08 Kunda1 Assigned To Kunda1 =>
2017-03-09 13:09 Kunda1 Status assigned => confirmed
2017-03-09 13:09 Kunda1 Note Added: 0008589
2017-03-09 13:10 Kunda1 Summary Operation properties without units => Operation properties without units in spreadsheet
2017-07-16 11:36 Kunda1 Assigned To => eivindkvedalen
2017-07-16 11:36 Kunda1 Status confirmed => assigned
2017-07-18 15:24 mjscosta Note Added: 0009772
2017-07-18 15:26 Kunda1 Note Added: 0009773
2017-07-19 08:42 mjscosta Note Edited: 0009772 View Revisions
2017-07-19 08:42 mjscosta Note Added: 0009780
2017-07-19 10:52 Kunda1 Note Edited: 0009780 View Revisions
2017-07-23 16:00 Kunda1 Note Added: 0009797
2017-07-23 20:54 Kunda1 Note Added: 0009800
2017-07-23 20:54 Kunda1 Status assigned => closed
2017-07-23 20:54 Kunda1 Resolution open => fixed
2017-07-23 20:54 Kunda1 Fixed in Version => 0.17
2017-07-23 20:56 Kunda1 Note Edited: 0009800 View Revisions